/*
 * "China" theme for Dotclear
 * --------------------------
 * Author: Thomas PENIN
 * Website: http://www.voyage-est.com
 * License: GNU/GPL
 * --------------------------
 * Based on the "dcChristmas" theme version 1.0 by Mathieu M (http://www.html-edition.com/)
 */

/*!
 * @instructions To create players, use code like the following one in the Dotclear XHTML editor:
 * 		   <div class="player">/dotclear/public/Test_sons/nihao.ogg</div>
 * 		 ... for a full HTML 5 player
 * 		   <div class="miniplayer">/dotclear/public/Test_sons/nihao.ogg</div>
 * 		 ... for a small player (reduced to a play button)
 * This script will then prepare the players.
 * @important The media file shall have an "ogg" or "mp3" extension
 */

/*!
 * @abstract Function to configure the players on the page
 * @discussion To be called when the document is ready
 */
function prepareAudioPlayers()
{
  $(".player").each(function(index) {
    // Create a player for the media
    var src = $(this).text();
    var ext = src.split('.').pop();
    var type = (ext == "mp3" ? "audio/mpeg" : "audio/ogg");
    $(this).contents().replaceWith(function() {
      return '<audio class="audioPlayer" controls>'
	  + '<source src="' + src + '" type="' + type + '">'
	  + 'Your browser does not support the audio tag.'
	  + '</audio>';
    });
  });

  $(".miniplayer").each(function(index) {
    // Create a player for the media
    var src = $(this).text();
    var ext = src.split('.').pop();
    var type = (ext == "mp3" ? "audio/mpeg" : "audio/ogg");
    $(this).contents().replaceWith(function() {
      return '<audio class="audioPlayer" preload="auto">'
	    + '<source src="' + src + '" type="' + type + '">'
	    + 'Your browser does not support the audio tag.'
	    + '</audio>';
    });

    // Add a play button
    var audioPlayer = $(this).children(".audioPlayer")[0];
    $(this).append('<div class="playButton"/>');
    var playButton = $(this).children(".playButton");
    playButton.click(function() {
      if (audioPlayer.paused || audioPlayer.ended) {
	audioPlayer.play();
      }
    });
  });
}